> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysiren.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Template

> Delete an existing template

## Header

<ParamField header="Authorization" type="string" required>
  Bearer token for API authentication. Format: `Bearer {{apiToken}}`
</ParamField>

## Query Parameters

<ParamField query="template_id" type="UUID" required>
  The ID of the template to delete.
</ParamField>

## Response

<ParamField name="data" type="object">
  <ParamField name="templateId" type="UUID">
    Template ID that was deleted.
  </ParamField>
</ParamField>

<ParamField name="error" type="object">
  <ParamField name="errorCode" type="string">
    The error code (e.g., `BAD_REQUEST`).
  </ParamField>

  <ParamField name="message" type="string">
    A human-readable error message.
  </ParamField>
</ParamField>

<ResponseExample>
  ```json success (200) theme={null}
  {
    "data": {
      "templateId": "UUID" // Template ID that was deleted
    },
    "error": null,
    "errors": null,
    "meta": null
  }
  ```

  ```json bad request (400) theme={null}
  {
    "data": null,
    "error": {
      "errorCode": "BAD_REQUEST",
      "message": "Bad request"
    },
    "errors": [
      {
        "errorCode": "BAD_REQUEST",
        "message": "Bad request"
      }
    ],
    "meta": null
  }
  ```

  ```json unauthorised (401) theme={null}
  {
    "data": null,
    "error": {
      "errorCode": "UNAUTHORISED",
      "message": "Unauthorised"
    },
    "errors": [
      {
        "errorCode": "UNAUTHORISED",
        "message": "Unauthorised"
      }
    ],
    "meta": null
  }
  ```

  ```json not found (404) theme={null}
  {
    "data": null,
    "error": {
      "errorCode": "NOT FOUND",
      "message": "Not found"
    },
    "errors": [
      {
        "errorCode": "NOT FOUND",
        "message": "Not found"
      }
    ],
    "meta": null
  }
  ```
</ResponseExample>

## Status Codes

* `200` - OK
* `400` - BAD REQUEST
* `401` - UNAUTHORISED
* `404` - NOT FOUND
